mythfrontend.real crashed with SIGSEGV when starting the second playback

Bug #1037290 reported by Stephen Robertson on 2012-08-15
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mythbuntu
New
Undecided
Unassigned

Bug Description

I'm having a problem where the frontend is crashing when I attempt to
play back a second recording. The first recording plays back fine but
the next time I try I get a segmentation fault. The last entry in the
log was audio related so I have tried another log with -v audio.

Mythbuntu Packages
MythTV Version : v0.26-beta-25-gb778ca1
MythTV Branch : master
Network Protocol : 75
Library API : 0.26.20120807-1
QT Version : 4.8.1
Options compiled in:
 linux profile use_hidesyms using_alsa using_oss using_pulse
using_pulseoutput using_backend using_bindings_perl
using_bindings_python using_bindings_php using_crystalhd using_dvb
using_firewire using_frontend using_hdhomerun using_ceton using_hdpvr
using_iptv using_ivtv using_joystick_menu using_libcec using_libcrypto
using_libdns_sd using_libxml2 using_lirc using_mheg using_opengl_video
using_qtwebkit using_qtscript using_qtdbus using_v4l2 using_x11
using_xrandr using_xv using_bindings_perl using_bindings_p

stephen@bressay:~$ mythfrontend -v audio
2012-08-14 20:22:58.204103 I Setup Interrupt handler
2012-08-14 20:22:58.204122 I Setup Terminated handler
2012-08-14 20:22:58.204131 I Setup Segmentation fault handler
2012-08-14 20:22:58.204138 I Setup Aborted handler
2012-08-14 20:22:58.204146 I Setup Bus error handler
2012-08-14 20:22:58.204154 I Setup Floating point exception handler
2012-08-14 20:22:58.204162 I Setup Illegal instruction handler
2012-08-14 20:22:58.204172 I Setup User defined signal 1 handler
2012-08-14 20:22:58.204180 I Setup User defined signal 2 handler
2012-08-14 20:22:58.204294 C mythfrontend version: master
[v0.26-beta-25-gb778ca1] www.mythtv.org
2012-08-14 20:22:58.204305 C Qt version: compile: 4.8.1, runtime: 4.8.1
2012-08-14 20:22:58.204309 N Enabled verbose msgs: general audio
2012-08-14 20:22:58.204323 N Setting Log Level to LOG_INFO
2012-08-14 20:22:58.204489 N Using runtime prefix = /usr
2012-08-14 20:22:58.204523 N Using configuration directory =
/home/stephen/.mythtv
2012-08-14 20:22:58.204544 I Added logging to the console
2012-08-14 20:22:58.204592 I Assumed character encoding: en_GB.UTF-8
2012-08-14 20:22:58.205120 N Empty LocalHostName.
2012-08-14 20:22:58.205126 I Using localhost value of bressay
2012-08-14 20:22:58.217548 N Setting QT default locale to en_GB
2012-08-14 20:22:58.217620 I Current locale en_GB
2012-08-14 20:22:58.217662 N Reading locale defaults from
/usr/share/mythtv//locales/en_gb.xml
2012-08-14 20:22:58.223034 I Starting process manager
2012-08-14 20:22:58.225234 I Starting process signal handler
2012-08-14 20:22:58.225269 I Starting IO manager (read)
2012-08-14 20:22:58.225326 I Starting IO manager (write)
2012-08-14 20:22:58.326225 I ScreenSaverX11Private: DPMS is active.
2012-08-14 20:22:58.348832 N Desktop video mode: 1920x1080 50.044 Hz
2012-08-14 20:22:58.367066 I Listening on TCP 127.0.0.1:6547
2012-08-14 20:22:58.367176 I Listening on TCP 192.168.0.3:6547
2012-08-14 20:22:58.367387 I Listening on TCP [::1]:6547
2012-08-14 20:22:58.367479 I Listening on TCP
[fe80::223:54ff:feca:9882%eth1]:6547
2012-08-14 20:22:58.437614 I Added logging to mythlogserver at TCP:35327
cannot find libcec.solibcec.so: cannot open shared object file: No
such file or directory
2012-08-14 20:22:59.217915 I RAOP Device: Created RAOP device objects.
2012-08-14 20:22:59.218112 I Listening on TCP 127.0.0.1:5000
2012-08-14 20:22:59.218215 I Listening on TCP 192.168.0.3:5000
2012-08-14 20:22:59.218321 I Listening on TCP [::1]:5000
2012-08-14 20:22:59.218438 I Listening on TCP
[fe80::223:54ff:feca:9882%eth1]:5000
2012-08-14 20:22:59.218496 I RAOP Device: Listening for connections
on port 5000
2012-08-14 20:22:59.218610 I AirPlay: Created airplay objects.
2012-08-14 20:22:59.220158 I Registering service 3b67435f5725@MythTV
on bressay._raop._tcp port 5000 TXT
 tp=UDsm=falssv=false ek=1 et=0,1 cn=0,1 ch=2ss=1sr=4410pw=false vn=3 txtvers=md=0,1,2 vs=130.14da=true
2012-08-14 20:22:59.220603 I Listening on TCP 127.0.0.1:5100
2012-08-14 20:22:59.220997 I Listening on TCP 192.168.0.3:5100
2012-08-14 20:22:59.221094 I Listening on TCP [::1]:5100
2012-08-14 20:22:59.221669 I Loading en_gb translation for module mythfrontend
2012-08-14 20:22:59.224836 I Listening on TCP
[fe80::223:54ff:feca:9882%eth1]:5100
2012-08-14 20:22:59.231646 I LIRC: Successfully initialized
'/dev/lircd' using '/home/stephen/.mythtv/lircrc' config
2012-08-14 20:22:59.231746 E JoystickMenuThread: Joystick disabled -
Failed to read /home/stephen/.mythtv/joystickmenurc
2012-08-14 20:22:59.239081 E CECAdapter: Failed to load libcec.
2012-08-14 20:22:59.239574 I Binding to UDP 127.0.0.1:6948
2012-08-14 20:22:59.239630 I Binding to UDP 192.168.0.3:6948
2012-08-14 20:22:59.239694 I Binding to UDP [::1]:6948
2012-08-14 20:22:59.239755 I Binding to UDP
[fe80::223:54ff:feca:9882%eth1]:6948
2012-08-14 20:22:59.239812 I Binding to UDP 192.168.0.255:6948
2012-08-14 20:22:59.267270 I Using Frameless Window
2012-08-14 20:22:59.267317 I Using Full Screen Window
2012-08-14 20:22:59.358733 I Trying the OpenGL painter
2012-08-14 20:22:59.361448 I OpenGL: Sync to VBlank is enabled (good!)
2012-08-14 20:22:59.554301 I OpenGL1: Fragment program support available
2012-08-14 20:22:59.554361 I OpenGL: OpenGL vendor : NVIDIA Corporation
2012-08-14 20:22:59.554368 I OpenGL: OpenGL renderer: GeForce 9400 GT/PCIe/SSE2
2012-08-14 20:22:59.554373 I OpenGL: OpenGL version : 3.3.0 NVIDIA 295.40
2012-08-14 20:22:59.554381 I OpenGL: Max texture size: 8192 x 8192
2012-08-14 20:22:59.554387 I OpenGL: Max texture units: 4
2012-08-14 20:22:59.554391 I OpenGL: Direct rendering: Yes
2012-08-14 20:22:59.554398 I OpenGL: PixelBufferObject support available
2012-08-14 20:22:59.554403 I OpenGL: Initialised MythRenderOpenGL
2012-08-14 20:22:59.880179 I Current MythTV Schema Version (DBSchemaVer): 1307
2012-08-14 20:22:59.916679 W ThemeInfo: Unable to open themeinfo.xml
for /usr/share/mythtv/themes/BlackCurves-OSD/themeinfo.xml
2012-08-14 20:22:59.916694 E ThemeInfo: The theme
(/usr/share/mythtv/themes/BlackCurves-OSD) is missing a themeinfo.xml
file.
2012-08-14 20:22:59.917419 W ThemeInfo: Unable to open themeinfo.xml
for /usr/share/mythtv/themes/Gray-OSD/themeinfo.xml
2012-08-14 20:22:59.917429 E ThemeInfo: The theme
(/usr/share/mythtv/themes/Gray-OSD) is missing a themeinfo.xml file.
2012-08-14 20:23:00.072820 N Registering Internal as a media playback plugin.
2012-08-14 20:23:00.123869 I Loading en_gb translation for module mytharchive
2012-08-14 20:23:00.126395 N Registering WebBrowser as a media playback plugin.
2012-08-14 20:23:00.126472 I Loading en_gb translation for module mythbrowser
2012-08-14 20:23:00.142809 I Loading en_gb translation for module mythgallery
2012-08-14 20:23:00.150158 I Current MythMusic Schema Version
(MusicDBSchemaVer): 1020
2012-08-14 20:23:00.171625 I Loading en_gb translation for module mythmusic
2012-08-14 20:23:00.173731 I Loading en_gb translation for module mythnetvision
2012-08-14 20:23:00.175018 I Listening on TCP 127.0.0.1:6546
2012-08-14 20:23:00.175077 I Listening on TCP 192.168.0.3:6546
2012-08-14 20:23:00.175142 I Listening on TCP [::1]:6546
2012-08-14 20:23:00.175219 I Listening on TCP
[fe80::223:54ff:feca:9882%eth1]:6546
2012-08-14 20:23:00.222744 I Bonjour: Service registration complete:
name '3b67435f5725@MythTV on bressay' type '_raop._tcp.' domain:
'local.'
2012-08-14 20:23:00.225097 I Bonjour: Service registration complete:
name 'MythTV on bressay' type '_airplay._tcp.' domain: 'local.'
2012-08-14 20:23:00.262250 N Found mainmenu.xml for theme 'Arclight'
2012-08-14 20:23:00.770343 I Bonjour: Service registration complete:
name 'Mythfrontend on bressay' type '_mythfrontend._tcp.' domain:
'local.'
2012-08-14 20:23:15.269071 I MythCoreContext: Connecting to backend
server: 192.168.0.3:6543 (try 1 of 1)
2012-08-14 20:23:15.269778 I Using protocol version 75
2012-08-14 20:23:15.324947 I Using protocol version 75
2012-08-14 20:23:15.326187 I Using protocol version 75
2012-08-14 20:23:16.460073 I Build background buttonlist item 0
2012-08-14 20:23:16.590613 I Build background buttonlist item 100
2012-08-14 20:23:16.683119 I Build background buttonlist item 200
2012-08-14 20:23:17.741658 I TV: Creating TV object
2012-08-14 20:23:17.759271 N Resuming idle timer
2012-08-14 20:23:17.759324 N Suspending idle timer
2012-08-14 20:23:17.760100 I TV: Created TvPlayWindow.
2012-08-14 20:23:17.846553 I TV: Attempting to change from None to
WatchingPreRecorded
2012-08-14 20:23:17.874706 I PulseAudio: ChooseHost, chosen
PulseAudio server: default
2012-08-14 20:23:17.874887 I PulseAudio: ContextConnect, waiting for
context connection ready
2012-08-14 20:23:17.875694 I PulseAudio: ContextConnect, context
connection ready
2012-08-14 20:23:17.875975 I PulseAudio: ServerInfoCallback,
PulseAudio server info - host name: bressay, server version: 1.1,
server name: pulseaudio, default sink:
alsa_output.pci-0000_00_1b.0.analog-stereo
2012-08-14 20:23:17.876096 I AOS: Sample rate 44100 is supported
2012-08-14 20:23:17.876105 I AOS: 2 channel(s) are supported
2012-08-14 20:23:17.876168 I AOS: Format unsigned 8 bit is supported
2012-08-14 20:23:17.876177 I AOS: Format signed 16 bit is supported
2012-08-14 20:23:17.876184 I AOS: Format signed 24 bit LSB is supported
2012-08-14 20:23:17.876191 I AOS: Format signed 32 bit is supported
2012-08-14 20:23:17.876197 I AOS: Format 32 bit floating point is supported
2012-08-14 20:23:17.877065 N AudioPlayer: Enabling Audio
2012-08-14 20:23:17.952068 I AFD: Opened codec 0xb28c840,
id(MPEG2VIDEO) type(Video)
2012-08-14 20:23:17.952081 I AFD: codec MP2 has 2 channels
2012-08-14 20:23:17.952139 I AFD: Opened codec 0xb28d020, id(MP2) type(Audio)
2012-08-14 20:23:17.952164 I AFD: Audio Track #1, with type 0 is A/V
stream #1 and has 2 channels in the English language(6647399).
2012-08-14 20:23:17.952171 I AFD: codec MP3 has 0 channels
2012-08-14 20:23:17.952201 I AFD: Opened codec 0xb28d800, id(MP3) type(Audio)
2012-08-14 20:23:17.952214 I AFD: Audio Track #2, with type 0 is A/V
stream #2 and has 0 channels in the English language(6647399).
2012-08-14 20:23:17.952234 I AFD: Opened codec 0xb3150a0,
id(DVB_SUBTITLE) type(Subtitle)
2012-08-14 20:23:17.952268 I AFD: Trying to select default track
2012-08-14 20:23:17.952274 I AFD: Trying to select audio track (w/lang)
2012-08-14 20:23:17.952741 I AFD: Selected track 1: English MP2 2ch
(A/V Stream #1)
2012-08-14 20:23:17.952759 I AFD: Initializing audio parms from audio track #1
2012-08-14 20:23:17.952783 I AFD: Audio format changed
                        from id(NONE) -1Hz -1ch -1bps (profile 0) to id( MP2)
48000Hz 2ch 16bps (profile 0)
2012-08-14 20:23:17.952803 I AO: Killing AudioOutputDSP
2012-08-14 20:23:17.952819 I AO: Original codec was MP2, signed 16
bit, 48 kHz, 2 channels
2012-08-14 20:23:17.952835 I AO: enc(0), passthru(0), features ()
configured_channels(2), 2 channels supported(1) max_channels(2)
2012-08-14 20:23:17.952845 I AO: Resampling from 48 kHz to 44 kHz
with quality medium
2012-08-14 20:23:17.953001 I AO: Resampler allocating 15056
2012-08-14 20:23:17.953010 I AO: Audio processing enabled
2012-08-14 20:23:17.953021 I AO: Opening audio device
'PulseAudio:default' ch 2(2) sr 44100 sf 32 bit floating point reenc 0
2012-08-14 20:23:17.953083 I PulseAudio: OpenDevice, using sample
spec float32le 2ch 44100Hz
2012-08-14 20:23:17.954012 I PulseAudio: ChooseHost, chosen
PulseAudio server: default
2012-08-14 20:23:17.954066 I PulseAudio: ContextConnect, waiting for
context connection ready
2012-08-14 20:23:17.954839 I PulseAudio: ContextConnect, context
connection ready
2012-08-14 20:23:17.955087 I PulseAudio: ServerInfoCallback,
PulseAudio server info - host name: bressay, server version: 1.1,
server name: pulseaudio, default sink:
alsa_output.pci-0000_00_1b.0.analog-stereo
2012-08-14 20:23:17.958207 I PulseAudio: fragment size 6174,
soundcard buffer size 4194304
2012-08-14 20:23:17.958223 I AO: Audio fragment size: 6174
2012-08-14 20:23:17.958978 I AO: Audio Stretch Factor: 1
2012-08-14 20:23:17.959031 I AO: Ending Reconfigure()
2012-08-14 20:23:17.961555 I AO: kickoffOutputAudioLoop: pid = 27356
2012-08-14 20:23:17.961574 I AO: OutputAudioLoop: Play Event
2012-08-14 20:23:17.973582 I Clearing OpenGL painter cache.
2012-08-14 20:23:18.047442 I VDPAU: Created 2 output surfaces.
2012-08-14 20:23:18.047465 I VDPAU: Version 1
2012-08-14 20:23:18.047473 I VDPAU: Information NVIDIA VDPAU Driver
Shared Library 295.40 Thu Apr 5 21:54:31 PDT 2012
2012-08-14 20:23:18.047484 I VDPAU: Created VDPAU render device 1920x1080
2012-08-14 20:23:18.064813 N Player(0): Forcing decode extra audio
option on (Video method requires it).
2012-08-14 20:23:18.064847 E FilterManager: Failed to load filter
'colorspace', no such filter exists
2012-08-14 20:23:18.109326 I AO: OutputAudioLoop: Play Event
2012-08-14 20:23:18.261148 I Player(0): Video timing method: USleep
with busy wait
2012-08-14 20:23:18.264181 I AO: OutputAudioLoop: Play Event
2012-08-14 20:23:18.264403 I TV: Created player.
2012-08-14 20:23:18.265958 I TV: Changing from None to WatchingPreRecorded
2012-08-14 20:23:18.273923 I TV: Main UI disabled.
2012-08-14 20:23:18.273935 I TV: Entering main playback loop.
2012-08-14 20:23:18.279885 I ScreenSaverX11Private: DPMS Deactivated 1
2012-08-14 20:23:18.287221 I VDPAU: Added 2 output surfaces (total 4, max 4)
2012-08-14 20:23:21.582516 I TV: Attempting to change from
WatchingPreRecorded to None
2012-08-14 20:23:21.596145 W MythPainter: 43 images not yet de-allocated.
2012-08-14 20:23:21.596184 I VDPAU Painter: Clearing VDPAU painter cache.
2012-08-14 20:23:21.631885 I AO: Killing AudioOutputDSP
2012-08-14 20:23:21.641238 I AO: OutputAudioLoop: Stop Event
2012-08-14 20:23:21.641250 I AO: kickoffOutputAudioLoop exiting
2012-08-14 20:23:21.692355 I TV: Changing from WatchingPreRecorded to None
2012-08-14 20:23:21.692386 I TV: Exiting main playback loop.
2012-08-14 20:23:21.692648 I ScreenSaverX11Private: DPMS Reactivated 1
2012-08-14 20:23:21.716270 N Resuming idle timer
2012-08-14 20:23:26.174003 I TV: Creating TV object
2012-08-14 20:23:26.183173 N Resuming idle timer
2012-08-14 20:23:26.183299 N Suspending idle timer
2012-08-14 20:23:26.184137 I TV: Created TvPlayWindow.
2012-08-14 20:23:26.257249 I TV: Attempting to change from None to
WatchingPreRecorded
2012-08-14 20:23:26.272908 I PulseAudio: ChooseHost, chosen
PulseAudio server: default
2012-08-14 20:23:26.273001 I PulseAudio: ContextConnect, waiting for
context connection ready
2012-08-14 20:23:26.273761 I PulseAudio: ContextConnect, context
connection ready
2012-08-14 20:23:26.273864 I PulseAudio: ServerInfoCallback,
PulseAudio server info - host name: bressay, server version: 1.1,
server name: pulseaudio, default sink:
alsa_output.pci-0000_00_1b.0.analog-stereo
2012-08-14 20:23:26.273970 I AOS: Sample rate 44100 is supported
2012-08-14 20:23:26.273976 I AOS: 2 channel(s) are supported
2012-08-14 20:23:26.274009 I AOS: Format unsigned 8 bit is supported
2012-08-14 20:23:26.274016 I AOS: Format signed 16 bit is supported
2012-08-14 20:23:26.274021 I AOS: Format signed 24 bit LSB is supported
2012-08-14 20:23:26.274026 I AOS: Format signed 32 bit is supported
2012-08-14 20:23:26.274031 I AOS: Format 32 bit floating point is supported
2012-08-14 20:23:26.274188 N AudioPlayer: Enabling Audio
Handling Segmentation fault
Segmentation fault (core dumped)

ProblemType: Crash
DistroRelease: Ubuntu 12.04
Package: mythtv-frontend 2:0.26.0~master.20120814.b778ca1-0ubuntu0mythbuntu2 [origin: LP-PPA-mythbuntu-0.26]
ProcVersionSignature: Ubuntu 3.2.0-29.46-generic-pae 3.2.24
Uname: Linux 3.2.0-29-generic-pae i686
NonfreeKernelModules: nvidia
.var.log.mythtv.mythavtest.log:

.var.log.mythtv.mythccextractor.log:

.var.log.mythtv.mythfilldatabase.log:

.var.log.mythtv.mythjobqueue.log:

.var.log.mythtv.mythlcdserver.log:

.var.log.mythtv.mythmediaserver.log:

.var.log.mythtv.mythmessage.log:

.var.log.mythtv.mythshutdown.log:

.var.log.mythtv.mythutil.log:

.var.log.mythtv.mythwelcome.log:

ApportVersion: 2.0.1-0ubuntu12
Architecture: i386
CrashDB: mythbuntu
Date: Wed Aug 15 21:56:31 2012
ExecutablePath: /usr/bin/mythfrontend.real
Installed_mythtv_dbg: 2:0.26.0~master.20120814.b778ca1-0ubuntu0mythbuntu2
ProcCmdline: /usr/bin/mythfrontend.real --syslog local7
ProcEnviron:
 PATH=(custom, no user)
 LANG=en_GB.UTF-8
 SHELL=/bin/bash
SegvAnalysis:
 Segfault happened at: 0xb504fe97 <mpegts_push_section+103>: movzbl 0x1(%edx),%eax
 PC (0xb504fe97) ok
 source "0x1(%edx)" (0xb42a841e) in non-readable VMA region: 0xb42a8000-0xb42a9000 ---p /usr/lib/libmythavutil.so.51.56.100
 destination "%eax" ok
SegvReason: reading VMA /usr/lib/libmythavutil.so.51.56.100
Signal: 11
SourcePackage: mythtv
StacktraceTop:
 mpegts_push_section (filter=0xa450220, section=0xa5ac560 ";\260m", section_len=112) at libavformat/mpegts-mythtv.c:689
 write_section_data (s=0xa1eabe0, tss1=0xa450220, buf=0xbf8ef9f5 ";\260m", buf_size=183, is_start=1) at libavformat/mpegts-mythtv.c:401
 handle_packet (ts=0xa634d60, packet=0x7c801948 <Address 0x7c801948 out of bounds>) at libavformat/mpegts-mythtv.c:2535
 handle_packets (ts=0xa634d60, nb_packets=0) at libavformat/mpegts-mythtv.c:2643
 mpegts_read_packet (s=0xa1eabe0, pkt=0xbf8efbdc) at libavformat/mpegts-mythtv.c:2951
Title: mythfrontend.real crashed with SIGSEGV in mpegts_push_section()
UpgradeStatus: Upgraded to precise on 2012-08-13 (2 days ago)
UserGroups: adm admin audio cdrom dialout dip floppy fuse lpadmin mythtv plugdev sambashare vboxusers video

Revision history for this message
Stephen Robertson (stephengrobertson) wrote :
visibility: private → public
Revision history for this message
Stephen Robertson (stephengrobertson) wrote :

This appears to be mostly resolved by removing the 0.25 lib that was left over after the upgrade so the problem seems to be more related to the upgrade rather than myth iteslf

Revision history for this message
Thomas Mashos (tgm4883) wrote :

What do you mean by mostly resolved? Did you make any other changes?

Revision history for this message
Stephen Robertson (stephengrobertson) wrote :

This appears not to be resolved. A new bug( Bug #1038746 )was created, sorry I couldn't see how to attach the data to this one.

I thought removing the errant libs had solved the problem but it appears to have been coincidence.

To post a comment you must log in.